Qt API | Qtopia API | Qtopia Documentation |

# FileSystem Class Reference

The FileSystem class describes a single mount point. More...

`#include <qtopia/storage.h>`

List of all member functions.

## Public Members

- const QString & disk () const
- const QString & path () const
- const QString & name () const
- const QString & options () const
- long blockSize () const
- long totalBlocks () const
- long availBlocks () const
- bool isRemovable () const
- bool isWritable () const

## Detailed Description

The FileSystem class describes a single mount point.

This class simply returns information about a mount point, including file system name, mount point, human readable name, size information and mount options information.

See also StorageInfo and Qtopia Classes.

## Member Function Documentation

### long FileSystem::availBlocks () const

Returns the number of available blocks on the file system

### long FileSystem::blockSize () const

Returns the size of each block on the file system.

### const QString & FileSystem::disk () const

Returns the file system name, such as /dev/hda3

### bool FileSystem::isRemovable () const

Returns flag whether the file system can be removed, such as a CF card would be removable, but the internal memory wouldn't

### bool FileSystem::isWritable () const

Returns flag whether the file system is mounted as writable or read-only. Returns FALSE if read-only, TRUE if read and write.

### const QString & FileSystem::name () const

Returns the translated, human readable name for the mount directory.

### const QString & FileSystem::options () const

Returns the mount options

### const QString & FileSystem::path () const

Returns the mount path, such as /home

### long FileSystem::totalBlocks () const

Returns the total number of blocks on the file system

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.